<?php
$s_wlan=shell_exec('
for each in `ifconfig|cut -f1 -d" "`; do
    if [ ${each:0:4} == "wlan" ]; then
        # loop through macs
        for mac in `iw $each station dump|grep "Station "| cut -f 2 -d" "`; do
            # get signal level
            signal=`iw $each station get $mac|grep "signal:"|cut -f 3`;
            echo -n "$each%$mac%$signal@";
        done;
    fi;  
done
');

$s_wlan=substr($s_wlan,0,-1);
$a_wlan=split('@',$s_wlan);

$l_level="";
$i=0;
foreach ($a_wlan as $wlan) {
    list($if, $mac, $level) = split('%',$wlan);
    list($level_i,$dummy) = split(' ', $level);

    $a_if[$i]=$if;
    $a_mac[$i]=$mac;
    $a_level[$i]=$level;
    $a_level_i[$i]=$level_i;
    $i++;

    $l_level=$l_level . $level_i . ":";
}
$l_level=substr($l_level,0,-1);

$a_last_level=split(':',$HTTP_GET_VARS["l"]);
?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
<html>
   <head>
      <title>Tune</title>
      <meta http-equiv="refresh" content="1;?l=<?php echo htmlspecialchars($l_level) ?>">
   </head>
   <body bgcolor="#101060" text="#f0f0f0">

<div style="font-family:Verdana">

<?php
foreach ($a_if as $k => $if) {
    $mac=$a_mac[$k];
    $level=$a_level[$k];
    $level_i=$a_level_i[$k];
    $last_level_i=$a_last_level[$k];

    $color="#f0f0f0";
    if ($level_i > $last_level_i) { $color = "#10f010"; }
    if ($level_i < $last_level_i) { $color = "#f01010"; }

    echo "<hr><pre>$if - $mac</pre>\n";
    echo "<div style=\"font-size:10em; color:$color\">$level</div><hr>";
}
echo "</div>\n";
?>
</body>
</html>
